[Git][debian-edu/debian-edu-artwork][master] 4 commits: art-common/arctica-greeter/: Also install the Debian Edu hidpi logo for arctica-greeter.

"Mike Gabriel (@sunweaver)" <[email protected]>
Newsgroups gmane.linux.skolelinux.cvs
Message-ID <[email protected]>

Mike Gabriel pushed to branch master at Debian Edu / debian-edu-artwork


Commits:
4c2303c3 by Mike Gabriel at 2025-09-15T12:13:40+02:00
art-common/arctica-greeter/: Also install the Debian Edu hidpi logo for arctica-greeter.

- - - - -
c616cc39 by Mike Gabriel at 2025-09-15T12:33:00+02:00
debian/update-debian-edu-artwork: Block running the script if script name does not contain the Edu theme name.

- - - - -
bfe30866 by Mike Gabriel at 2025-09-15T13:15:36+02:00
debian/update-debian-edu-artwork: Add spacefun to list of supported THEMES.

- - - - -
02de6822 by Mike Gabriel at 2025-09-15T14:03:30+02:00
upload to unstable (debian/2.13.1-1)

- - - - -


4 changed files:

- art-common/arctica-greeter/Makefile.am
- debian/changelog
- debian/debian-edu-artwork.install
- debian/update-debian-edu-artwork


Changes:

=====================================
art-common/arctica-greeter/Makefile.am
=====================================
@@ -2,6 +2,8 @@ install-data-local:
 	$(mkinstalldirs) $(DESTDIR)$(datadir)/arctica-greeter
 	$(INSTALL_DATA) debian-edu-logo.png \
 		$(DESTDIR)$(datadir)/arctica-greeter/theme-debian-edu-logo.png
+	$(INSTALL_DATA) debian-edu-logo-hidpi.png \
+		$(DESTDIR)$(datadir)/arctica-greeter/theme-debian-edu-logo-hidpi.png
 	$(mkinstalldirs) $(DESTDIR)$(datadir)/glib-2.0/schemas
 	$(INSTALL_DATA) 32_arctica-greeter-theme-debian-edu.gschema.override \
 		$(DESTDIR)$(datadir)/glib-2.0/schemas/32_arctica-greeter-theme-debian-edu.gschema.override


=====================================
debian/changelog
=====================================
@@ -1,3 +1,27 @@
+debian-edu-artwork (2.13.1-1) unstable; urgency=medium
+
+  [ Frans Spiesschaert ]
+  * debian/control:
+    + Remove non-existent packages from Depends.
+    + Remove note now that real ceratopsian artwork is in place.
+  * Add update-debian-edu-artwork-ceratopsian to the SEE ALSO section in the
+    update-debian-edu-artwork-* manual pages.
+  * Replace no longer shipped spacefun with ceratopsian in
+    debian-edu-artwork-*.triggers files. Handled by debian-edu-artwork-legacy.
+  * Add missing debian-edu-artwork-ceratopsian.triggers.
+  * Fix debian-edu-artwork-emerald.triggers, declare relationship to homeworld
+    trigger instead of emerald trigger.
+
+  [ Mike Gabriel ]
+  * art-common/arctica-greeter/: Also install the Debian Edu hidpi logo for
+    arctica-greeter.
+  * debian/update-debian-edu-artwork: Block running the script if script name
+    does not contain the Edu theme name.
+  * debian/update-debian-edu-artwork: Re-add spacefun to list of supported
+    THEMES.
+
+ -- Mike Gabriel <[email protected]>  Mon, 15 Sep 2025 13:17:48 +0200
+
 debian-edu-artwork (2.13.0-1) unstable; urgency=medium
 
   [ Frans Spiesschaert ]


=====================================
debian/debian-edu-artwork.install
=====================================
@@ -1,4 +1,5 @@
 usr/share/gdm/dconf/
 usr/share/pixmaps/debian-edu-logo.svg
 usr/share/arctica-greeter/theme-debian-edu-logo.png
+usr/share/arctica-greeter/theme-debian-edu-logo-hidpi.png
 usr/share/glib-2.0/schemas/32_arctica-greeter-theme-debian-edu.gschema.override


=====================================
debian/update-debian-edu-artwork
=====================================
@@ -1,11 +1,17 @@
 #! /bin/sh
 set -e
 
-THEMES="buster ceratopsian emerald homeworld softwaves"
+THEMES="buster ceratopsian emerald homeworld softwaves spacefun"
 
-edutheme="$(basename "$0")"
+basename="$(basename "$0")"
+edutheme="${basename}"
 edutheme="${edutheme#update-debian-edu-artwork-}"
 
+if [ "${edutheme}" = "${basename}" ]; then
+    echo "${basename} script called directly, please call ${basename}-<theme> scripts (symlinks) instead."
+    exit 1
+fi
+
 set_active_theme() {
     update-alternatives --install \
         /usr/share/desktop-base/active-theme \



View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-artwork/-/compare/b256d4c8ef61dfcbbcc2fe7ab48fcc58cadf373f...02de68228725ba09285aa08bb3d49547141b8375

-- 
View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-artwork/-/compare/b256d4c8ef61dfcbbcc2fe7ab48fcc58cadf373f...02de68228725ba09285aa08bb3d49547141b8375
You're receiving this email because of your account on salsa.debian.org.

_______________________________________________
debian-edu-commits mailing list
[email protected]
https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/debian-edu-commits
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.